vs_3_0

//*********************************************************
// www.Ultimategameprogramming.com
// Vertex Shader used with the Gradient Edge Filter Demo
// Created by the Programming Ace.
//
// Input Registers used:
//   v0 - The object space vertex position (original).
//   v8 - The vertex texture coordinate (original).
//
// Output Registers used:
//   o0  - The vertex output position.
//   o1  - The vertex texture coordinate.
//
// Constant Registers used:
//   c[0], c[1], c[2], c[3] - Model view projection matrix.
//
// Temporary Registers used:
//   r0 - Temporary register.
//*********************************************************


dcl_position v0
dcl_texcoord v8

dcl_position o0.xyzw
dcl_texcoord0 o1.xy

m4x4 r0, v0, c0      // Tranform to clip space.

mov o0, r0           // Set output vertex position.
mov o1.xy, v8.xy     // Set output tex coords.